<?php

/*

Script looks in specified directory and returns a comma-separated list
of the filenames or false if no files are found.

========================================================================

The full path to this file is going to be something like:

/Users/username/Library/Widgets/SlideShow.wdgt/php/readdir.php

...or, if this widget is enabled for everyone...

/Library/Widgets/SlideShow.wdgt/php/readphotos.php

In either case, we'll chop off the file name and php directory and add
the photos directory to the path, then look for photos there.

*/
$dir = substr(__FILE__,0,-18).'photos';

// if the string is an actual directory, proceed
if ($dh = opendir($dir)) {
	$photos = '';
	
	while (($file = readdir($dh)) !== false) {
		// if this isn't a directory, add it to the list
		if (substr($file,0,1) !== '.' && $file !== '_captions.txt' && $file !== '_urls.txt') {
			$photos .= $file.'::';
		}
	}
	closedir($dh);
	
	// remove any trailing comma
	if (substr($photos,-2) == '::') $photos = substr($photos,0,-2);
} else {
	$photos = false;
}

// if there are no files, return false
if (strlen($photos) < 1) $photos = false;

// return our value
fwrite(STDOUT,$photos);

?>